{
  "$schema": "http://json-schema.org/draft-07/schema#",
  "properties": {
    "apiVersion": {
      "type": "string"
    },
    "boot2dockerUrl": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "cfgparam": {
      "items": {
        "nullable": true,
        "type": "string"
      },
      "nullable": true,
      "type": "array"
    },
    "cloneFrom": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "cloudConfig": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "cloudinit": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "common": {
      "properties": {
        "cloudCredentialSecretName": {
          "nullable": true,
          "type": "string"
        },
        "labels": {
          "additionalProperties": {
            "nullable": true,
            "type": "string"
          },
          "nullable": true,
          "type": "object"
        },
        "taints": {
          "items": {
            "properties": {
              "effect": {
                "nullable": true,
                "type": "string"
              },
              "key": {
                "nullable": true,
                "type": "string"
              },
              "timeAdded": {
                "nullable": true,
                "type": "string"
              },
              "value": {
                "nullable": true,
                "type": "string"
              }
            },
            "type": "object"
          },
          "nullable": true,
          "type": "array"
        }
      },
      "type": "object"
    },
    "contentLibrary": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "cpuCount": {
      "default": "2",
      "nullable": true,
      "type": "string"
    },
    "creationType": {
      "default": "legacy",
      "nullable": true,
      "type": "string"
    },
    "customAttribute": {
      "items": {
        "nullable": true,
        "type": "string"
      },
      "nullable": true,
      "type": "array"
    },
    "datacenter": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "datastore": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "datastoreCluster": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "diskSize": {
      "default": "20480",
      "nullable": true,
      "type": "string"
    },
    "folder": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "gracefulShutdownTimeout": {
      "default": "0",
      "nullable": true,
      "type": "string"
    },
    "hostsystem": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "kind": {
      "type": "string"
    },
    "memorySize": {
      "default": "2048",
      "nullable": true,
      "type": "string"
    },
    "metadata": {
      "type": "object"
    },
    "network": {
      "items": {
        "nullable": true,
        "type": "string"
      },
      "nullable": true,
      "type": "array"
    },
    "os": {
      "default": "linux",
      "nullable": true,
      "type": "string"
    },
    "password": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "pool": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "providerID": {
      "nullable": true,
      "type": "string"
    },
    "sshPassword": {
      "default": "tcuser",
      "nullable": true,
      "type": "string"
    },
    "sshPort": {
      "default": "22",
      "nullable": true,
      "type": "string"
    },
    "sshUser": {
      "default": "docker",
      "nullable": true,
      "type": "string"
    },
    "sshUserGroup": {
      "default": "staff",
      "nullable": true,
      "type": "string"
    },
    "tag": {
      "items": {
        "nullable": true,
        "type": "string"
      },
      "nullable": true,
      "type": "array"
    },
    "username": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "vappIpallocationpolicy": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "vappIpprotocol": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "vappProperty": {
      "items": {
        "nullable": true,
        "type": "string"
      },
      "nullable": true,
      "type": "array"
    },
    "vappTransport": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "vcenter": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "vcenterPort": {
      "default": "443",
      "nullable": true,
      "type": "string"
    }
  },
  "type": "object"
}
